[![Logo](https://raw.githubusercontent.com/secretum-inc/quo/master/pics/quo.png)](https://github.com/secretum-inc/quo)

| Version    | [![PyPI version](https://badge.fury.io/py/quo.svg)](https://quo.rtfd.io)
|------------|----------------------------------------------------------------------------
| Web        | http://quo.readthedocs.io/
| Download   | [![Downloads](https://pepy.tech/badge/quo)](https://pypi.org/project/quo)
| Source     | http://github.com/secretum-inc/quo


`Forever Scalable`

**Quo** is a Python based toolkit for writing Command-Line Interface(CLI) applications.
Quo is making headway towards composing speedy and orderly CLI applications while forestalling any disappointments brought about by the failure to execute a CLI API.
Simple to code, easy to learn, and does not come with needless baggage. 

Quo requires Python `3.8` or later. 


- [x] `Support for Ansi, RGB and HTML color models`
- [x] `Support for tabular presentation of data`
- [x] `Interactive progressbars`
- [x] `Code completions`
- [x] `Nesting of commands`
- [x] `Automatic help page generation`
- [x] `Syntax highlighting`
- [x] `Autosuggestions`
- [x] `Key Binders`

# Quo is...

**Simple**
     If you know Python you can  easily use Quo and it can integrate with just about anything.

```{toctree}
:maxdepth: 3
:caption: Tutorials & Explanations
introduction.rst
printing_text.rst

console.rst
prompt.rst
utils.rst
table.rst
commands.rst
apps.rst
args.rst
exceptions.rst
dialogs.rst
widgets.rst
full_screen_apps.rst
kb.rst
progress.rst
filters.rst
styling
help_text.rst
reference.rst
unicode-support.rst
```

```{toctree}
:maxdepth: 1
:caption: Miscellaneous pages
license.rst
changes.rst
appendix.rst
```


## Donate🎁

In order to for us to maintain this project and grow our community of contributors.
[Donate](https://www.paypal.com/donate?hosted_button_id=KP893BC2EKK54)



## Getting Help

### Community

For discussions about the usage, development, and the future of quo, please join our Google community

* [Community👨‍👩‍👦‍👦](https://groups.google.com/forum/#!forum/secretum)

## Resources

### Bug tracker

If you have any suggestions, bug reports, or annoyances please report them
to our issue tracker at 
[Bug tracker](https://github.com/secretum-inc/quo/issues/) or send an email to:

 📥 secretum@googlegroups.com





